
Foreman - Bug #25007

Medium provider is not being loaded for Katello-managed hosts

09/21/2018 12:25 PM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Plugin integration   

Target version:    

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6087

  

Description

The fix for discovery broke Katello: https://github.com/theforeman/foreman/commit/b15278e91ad1039803de7255385992aeca2d2f85,

as it doesn't a 'medium' field but it's provided through the MediumProvider.

Related issues:

Related to Foreman - Bug #24639: Medium URL provider assumes managed host Closed

Associated revisions

Revision d193f319 - 10/14/2018 09:05 AM - Stephen Benjamin

fixes #25007 - fix medium providers for plugins

Katello doesn't have medium set, since the medium is being provided

through the medium provider.  This makes @medium_provider not load

and result in empty @kernel and @initrd in pxe templates.

Revision aa0f58ea - 10/14/2018 09:05 AM - Stephen Benjamin

fixes #25007 - fix medium providers for plugins

Katello doesn't have medium set, since the medium is being provided

through the medium provider.  This change allows a medium provider

to function in this case.

History

#1 - 09/21/2018 12:27 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6087 added

#2 - 10/14/2018 09:05 AM - Tomer Brisker

- Fixed in Releases 1.20.0 added

#3 - 10/14/2018 09:06 AM - Tomer Brisker

- Related to Bug #24639: Medium URL provider assumes managed host added

#4 - 10/14/2018 10:01 AM - Stephen Benjamin

- Status changed from Ready For Testing to Closed

Applied in changeset d193f31982e2f399ee965eddc2eb60dcd8ca4f7b.
